Bug 853556 - Error in PREIN scriptlet in rpm package smstools-3.1.14-3.fc17.x86_64
Error in PREIN scriptlet in rpm package smstools-3.1.14-3.fc17.x86_64
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: smstools (Show other bugs)
18
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Patrick C. F. Ernzer
Fedora Extras Quality Assurance
:
Depends On: 871437
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-31 16:35 EDT by Jakub Dorňák
Modified: 2016-11-30 19:57 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 07:07:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jakub Dorňák 2012-08-31 16:35:08 EDT
Description of problem:
I can not install smstools. Yum ends with an error.


Version-Release number of selected component (if applicable):
smstools-3.1.14-3.fc17.x86_64


How reproducible:
always in my case


Steps to Reproduce:
1. yum install -y smstools

  
Actual results:
Error in PREIN scriptlet in rpm package smstools-3.1.14-3.fc17.x86_64
error: %pre(smstools-3.1.14-3.fc17.x86_64) scriptlet failed, exit status 12


Expected results:
Package installed.


Additional info:
The system (F17) is fully updated.
Comment 1 Jakub Dorňák 2012-08-31 16:58:22 EDT
There is a problem with useradd:
# useradd -r -d /var/lib/smstools -m -g smstools -G dialout smstools
useradd: can not create directory /var/lib/smstools

Workaround:
As workaround user may add the user manually before the installation.
Use command:
# useradd -r -d /var/lib/smstools -g smstools -G dialout smstools

Actually, I dont know why useradd failes to create that home,
but it seems that it is not used.
Comment 3 Miroslav Grepl 2012-10-31 11:29:32 EDT
I added an initial policy to Fedora18.
Comment 4 Patrick C. F. Ernzer 2013-01-30 16:24:34 EST
note: see Comment #2 of Bug 770206 for another work-around
at https://bugzilla.redhat.com/show_bug.cgi?id=770206#c2
Comment 5 Fedora End Of Life 2013-12-21 03:49:33 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2014-02-05 07:07:35 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.